namespace Brizco.Domain.Entities.Tasks;

[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[GenerateMapper]
public class TaskDay : ApiEntity
{
    public TaskDay()
    {

    }

    internal TaskDay(DayOfWeek dayOfWeek, Guid shiftId)
    {
        DayOfWeek = dayOfWeek;
        TaskId = shiftId;
    }

    public DayOfWeek DayOfWeek { get; internal set; }

    public Guid TaskId { get; internal set; }
    public Task? Task { get; internal set; }
}